Bug 965194 (CVE-2013-3555)

Summary: CVE-2013-3555 wireshark: DoS (crash) in the GTPv2 dissector (wnpa-sec-2013-24, upstream #8493)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: huzaifas, jrusnack, phatina, rvokal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130517,reported=20130518,source=internet,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/wireshark=notaffected,rhel-6/wireshark=notaffected,fedora-17/wireshark=notaffected,fedora-18/wireshark=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-22 06:17:36 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 965942, 979246    
Bug Blocks: 965198    

Description Jan Lieskovsky 2013-05-20 12:31:17 EDT
A denial of service flaw was found in the way GTPv2 dissector of Wireshark, a network traffic analyzer, processed certain GTPv2 packet capture files. Remote attacker could provide a specially-crafted GTPv2 packet capture file that, when processed would lead to tshark executable crash.

Upstream bug report:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8493

Reproducer:
[2] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8493#c0
[3] http://www.wireshark.org/download/automated/captures/randpkt-2013-03-18-26023.pcap

Upstream patch:
[4] http://anonsvn.wireshark.org/viewvc?view=revision&revision=48393
Comment 1 Huzaifa S. Sidhpurwala 2013-05-22 02:34:43 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 965942]
Comment 2 Huzaifa S. Sidhpurwala 2013-05-22 03:06:18 EDT
Upstream advisory:

http://www.wireshark.org/security/wnpa-sec-2013-24.html
Comment 3 Huzaifa S. Sidhpurwala 2013-05-22 06:17:36 EDT
Statement:

Not Vulnerable. This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6.
Comment 4 Fedora Update System 2013-09-27 20:16:02 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-02 21:07:04 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-12-19 02:14:08 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.